Diese Website existiert nur weil wir Werbung mit AdSense ausliefern.
Bitte den AdBlocker daher auf dieser Website ausschalten! Danke.

ndiswrapper installationsproblem

Alles rund um das Internet, Internet-Anwendungen (E-Mail, Surfen, Cloud usw.) und das Einrichten von Netzwerken einschl. VPN unter Linux

Moderator: Moderatoren

Antworten
s-l-o-w
Newbie
Newbie
Beiträge: 9
Registriert: 15. Aug 2005, 15:50
Kontaktdaten:

ndiswrapper installationsproblem

Beitrag von s-l-o-w »

Hallo erstmal.
Ich bin mir nicht sicher ob der thread hier rein gehört oder unter Wireless-LAN. Hab mich vorher mal über Ndiswrapper hier das how to durchgelesen in dem nur steht das man das packet installieren soll, jedoch frage ich mich wie man das macht, da keine *.rpm datei enthalten ist. Danach hab ich mich auf der Seite von Ndiswrapper umgesehen und die Anleitung zur installation gefolgt. Es tritt ein Fehler auf nach dem man den Befehl "make install" eingibt der so aussieht:

Code: Alles auswählen


make[1]: Enter in directory "/home/geeko/ndiswrapper-1.2/driver"
Can't find Kernel sources in /lib/modules/2.6.11.4-20a-default/build;
give the path to Kernel sources with KSRC=<path> argument to make
make[1]: *** [prereq_check] Fehler 1
make[1]: leaving directory "/home/geeko/ndiswrapper-1.2/driver"
make: *** [install] Fehler 2

Jetzt frag ich mich ob ich totalen "Bockmist" mach. Kann mir einer verständlich (besitze Linux 9.3 boch nicht lang) erklären was ich falsch gemacht habe ? Ich danke jeden der zur Problemlösung beiträgt.
Grothesk
Ultimate Guru
Ultimate Guru
Beiträge: 14662
Registriert: 26. Okt 2003, 11:52
Wohnort: Köln

Beitrag von Grothesk »

Dir fehlen wohl die Kernelsourcen für SUSE Linux 9.3 (Bitte merken: Es gibt kein Linux 9.3. Jedenfalls die nächsten Jahre nicht.) Die kannst du mit yast nachinstallieren.
admine
Administrator
Administrator
Beiträge: 8939
Registriert: 15. Feb 2004, 21:13

Beitrag von admine »

*verschieb*

Such mal bitte nach ndiswrapper + Installation !
Grüße
-------------------------
..:: Deutsche Mugge ::..
-------------------------
s-l-o-w
Newbie
Newbie
Beiträge: 9
Registriert: 15. Aug 2005, 15:50
Kontaktdaten:

Beitrag von s-l-o-w »

Jetzt kommt bei mir die Frage auf, ob es für ndiswrapper eine allgemeine Kernel-Version gibt, oder ob man von W-Lan Karte zu W-Lan Karte eine bestimmte Kernel-Version braucht ?! Ich hab eine Siemens Gigaset PCI Card 54.
Benutzeravatar
TeXpert
Guru
Guru
Beiträge: 2166
Registriert: 17. Jan 2005, 11:22

Beitrag von TeXpert »

s-l-o-w hat geschrieben:Jetzt kommt bei mir die Frage auf, ob es für ndiswrapper eine allgemeine Kernel-Version gibt, oder ob man von W-Lan Karte zu W-Lan Karte eine bestimmte Kernel-Version braucht ?! Ich hab eine Siemens Gigaset PCI Card 54.
Du brauchst die Sourcen zum laufenden Kernel

Code: Alles auswählen

# to resolve all your problems, try this:
HOWTO='pack c5,41*2,sqrt 7056,unpack(c,H)-2,oct 115' && perl -le "print $HOWTO"
Ich beantworte keine Supportfragen per PM!
Antworten